List Contacts

This endpoint retrieves a detailed list of contacts. The endpoint supports filtering and sorting based on various criteria.

A contact is an active individual associated with a client of an MSP, enriched with information such as their role, name and other contact-specific details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^(eq|in):.+$

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field client.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[client.id]=example_value - to filter for exact match.

  • filter[client.id]=eq:example_value - to filter for exact match.

  • filter[client.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field client.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[client.name]=example_value - to filter for exact match.

  • filter[client.name]=eq:example_value - to filter for exact match.

  • filter[client.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[client.name]=cont:word - to filter using a partial match.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field title.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[title]=example_value - to filter for exact match.

  • filter[title]=eq:example_value - to filter for exact match.

  • filter[title]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[title]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.source_record_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.source_record_id]=example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.brand_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.brand_name]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^[+-]?(client\.id|client\.name|title|contact_info\.email|record_created_at|record_updated_at)(,[+-]?(client\.id|client\.name|title|contact_info\.email|record_created_at|record_updated_at))*$

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

Sortable fields: client.id, client.name, title, contact_info.email, record_created_at, record_updated_at.

int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Body Params

Body-only filter fields (PII):

  • contact_info.email
  • name.full

These fields cannot be supplied as query parameters (filter[...]). Provide them under the request body filter dictionary instead.

Body filter value format:

  • Each entry under filter is: "<field>": "<operator>:<value>"

Quoting / escaping (strings):

  • If a value contains spaces or commas, wrap it in quotes: eq:\"John Smith\"
  • If a value itself contains quotes, escape them: eq:\"Acme \\\"Corp\\\"\"

Examples:

  • contact_info.email

    • Supports comparison operators: eq, in.
    • Examples:
      • { "filter": { "contact_info.email": "eq:example_value" } }
      • { "filter": { "contact_info.email": "in:example_value_1,example_value_2,example_value_3" } }
  • name.full

    • Supports comparison operators: eq, in, cont.
    • Examples:
      • { "filter": { "name.full": "eq:example_value" } }
      • { "filter": { "name.full": "in:example_value_1,example_value_2,example_value_3" } }
      • { "filter": { "name.full": "cont:word" } }
filter
object
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json